%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7
%define req_ggz_client_libs_version 0.0.7

%define libname_basic ggz-kde
%define major 2
%define libname %mklibname %{libname_basic}

Name:		ggz-kde-client
Summary:	GGZ Gaming Zone Client in KDE interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) 0.0.7-1mdk ggz.snafu.de is no more, thus change default servers
Patch0:		%{name}-0.0.7-default-servers.patch.bz2

BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
Buildrequires:	kdelibs-devel
Requires:	libggz = %{req_libggz_version}
Requires:	ggz-client-libs = %{req_ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

# (Abel) 0.0.7-1mdk To be removed once MDK 9.2 is out
Obsoletes:	%{_lib}ggz-kde2 < %{version}
Obsoletes:	%{_lib}ggz-kde2-devel < %{version}
Provides:	%{_lib}ggz-kde2 = %{version}-%{release}
Provides:	%{_lib}ggz-kde2-devel = %{version}-%{release}

%description
The official GGZ Gaming Zone client in KDE user interface.


%if 0
%package	-n %{libname}%{major}
Summary:	Libraries for running GGZ Gaming Zone KDE applications
Group:		Games/Other
Provides:	%{libname} = %{version}-%{release}
Requires:	libggz = %{req_libggz_version}
Requires:	%{_lib}ggz-client = %{req_ggz_client_libs_version}

%description	-n %{libname}%{major}
This package contains libraries required for official GGZ Gaming Zone
client in KDE user interface.


%package -n %{libname}%{major}-devel
Summary:	Libraries for building GGZ Gaming Zone KDE applications
Group:		Games/Other
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}
BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}

%description -n %{libname}%{major}-devel
This package contains various development related files for official
GGZ Gaming Zone client in KDE user interface.
%endif


%prep
%setup -q
%patch0 -p1 -b .servers

%build
# Can't do SMP builds
#export MAKEFLAGS=j1

%configure2_5x --with-xinerama --disable-rpath
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

rm -rf ./ggzcore++-doc
mv %{buildroot}%{_docdir}/ggzcore++ ./ggzcore++-doc

# remove unpackaged files
# (Abel) 0.0.7-1mdk Nuke ggzcore++ files because ggzcore++
#                   library is merged back into game client
rm -rf %{buildroot}%{_includedir}


%find_lang %{name} --all-name

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%if 0
%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ TODO
%doc ggzcore++-doc
%doc %{_docdir}/HTML/en/kggz
%doc %{_docdir}/HTML/en/kioslave/ggz*

%{_bindir}/*
%{_libdir}/kde3/*

%{_datadir}/applnk/Games/ggz
%{_datadir}/applnk/Settings/Network/kcmggz.desktop
%{_datadir}/applnk/.hidden/shadowbridge.desktop

%{_datadir}/apps/keepalivecontrol
%{_datadir}/apps/kggz
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/services/*.protocol
%{_datadir}/config/*


%if 0
%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/libggzcorepp.so.*


%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc %{_docdir}/ggzcore++
%{_includedir}/*
%{_libdir}/libggzcorepp.la
%{_libdir}/libggzcorepp.so
%endif


%changelog
* Sun Sep 07 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: ggz.snafu.de is no more, thus change default servers
- no libdification anymore, library is merged back into client
- find_lang, BuildRequires and other assorted cleanup

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde1/libggz-kde1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Apr 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
